
Foreman - Refactor #13757

Split layout helper into two or more helpers

02/17/2016 07:53 AM - Amir Fefer

Status: Closed   

Priority: Normal   

Assignee: Amir Fefer   

Category: Rails   

Target version: 1.12.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3202

  

Description

Layout helper is too large, and required logical splitting.

Associated revisions

Revision 3952cb53 - 03/17/2016 04:48 AM - Amir Fefer

Fixes #13757 - spilt layout helper into two helpers

Layout helper is too large, all the forms logic moved to form helper

History

#1 - 02/17/2016 10:49 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/3202 added

#2 - 03/17/2016 05:02 AM - Amir Fefer

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 3952cb53d9893751db68a6cb320fa36fe47cf885.

#3 - 03/17/2016 06:12 AM - Dominic Cleal

- Category set to Rails

#4 - 03/17/2016 06:13 AM - Dominic Cleal

- translation missing: en.field_release set to 136
